Subject: bug#51465: [External] : Re: bug#51465: 27.2; `face-all-attributes' doc or behavior (?)

From: Drew Adams <[email-masked]>
Date: Fri, 29 Oct 2021 16:11:22 +0000

> No, it isn't wrong: the "default attributes for newly created frames"
> are those the face has before applying the definitions in defface.

Hopefully that is what you've added to the doc, to clarify it.

> > I'm hoping you at least see a possibility for
> > confusion in the doc.
> 
> Thanks, I've now clarified the documentation on the release branch to
> be more specific about the meaning of "default" in this context, and
> made sure the same explanation appears in both face-attribute and
> face-all-attributes.

Thank you.  I'll assume it's clearer now.

That said and done, what a user expects as the
"default" behavior (for new frames, for example)
is very likely to differ from this other kind of
"default".

I hope you've come up with some terminology to
distinguish the two, i.e., some way to talk about
(what I expect is) the more immediate/likely user
understanding of "default" for new frames. 

> It's just a complex issue, and it isn't easy to
> explain it clearly to readers that aren't necessarily
> privy to the implementation details.  Hopefully, it's
> more clear now.

Thank you for trying, here and in the doc.

> > (what's the point of returning `unspecified' everywhere?).
> 
> Only if no default values were defined via set-face-attribute.

OK, but what's the point in that case, even if
it's the only case?  Not a rhetorical question.
I expect there is some use/point; but I have no
idea what it might be.